piVCCU Version 2.35.16-35

Virtualisierte CCU für Raspberry Pi und Clones

Moderator: Co-Administratoren

coyote
Beiträge: 92
Registriert: 24.06.2015, 11:17

Re: piVCCU Version 2.35.16-35

Beitrag von coyote » 13.07.2018, 15:29

Hallo Alex, wollte gerade das Update installieren, danach läuft der pivccu.service nicht mehr.
Hier das log:

Code: Alles auswählen

● pivccu.service - piVCCU
   Loaded: loaded (/lib/systemd/system/pivccu.service; enabled; vendor preset: e
   Active: failed (Result: exit-code) since Fri 2018-07-13 13:09:30 UTC; 6min ag
  Process: 553 ExecStart=/var/lib/piVCCU/start_container.sh (code=exited, status
 Main PID: 623 (code=exited, status=1/FAILURE)
      CPU: 17ms

Jul 13 13:09:30 raspberrypi systemd[1]: Starting piVCCU...
Jul 13 13:09:30 raspberrypi piVCCU[556]: Could not load kernel modules plat_eq3c
Jul 13 13:09:30 raspberrypi start_container.sh[553]: <11>Jul 13 13:09:30 piVCCU:
Jul 13 13:09:30 raspberrypi systemd[1]: pivccu.service: Control process exited,
Jul 13 13:09:30 raspberrypi systemd[1]: Failed to start piVCCU.
Jul 13 13:09:30 raspberrypi systemd[1]: pivccu.service: Unit entered failed stat
Jul 13 13:09:30 raspberrypi systemd[1]: pivccu.service: Failed with result 'exit
lines 1-14/14 (END)
● pivccu.service - piVCCU
   Loaded: loaded (/lib/systemd/system/pivccu.service; enabled; vendor preset: enabled)
   Active: failed (Result: exit-code) since Fri 2018-07-13 13:09:30 UTC; 6min ago
  Process: 553 ExecStart=/var/lib/piVCCU/start_container.sh (code=exited, status=1/FAILURE)
 Main PID: 623 (code=exited, status=1/FAILURE)
      CPU: 17ms

Jul 13 13:09:30 raspberrypi systemd[1]: Starting piVCCU...
Jul 13 13:09:30 raspberrypi piVCCU[556]: Could not load kernel modules plat_eq3ccu2 and eq3_char_loop.
Jul 13 13:09:30 raspberrypi start_container.sh[553]: <11>Jul 13 13:09:30 piVCCU: Could not load kernel modules plat_eq3ccu2 and e
Jul 13 13:09:30 raspberrypi systemd[1]: pivccu.service: Control process exited, code=exited status=1
Jul 13 13:09:30 raspberrypi systemd[1]: Failed to start piVCCU.
Jul 13 13:09:30 raspberrypi systemd[1]: pivccu.service: Unit entered failed state.
Jul 13 13:09:30 raspberrypi systemd[1]: pivccu.service: Failed with result 'exit-code'.



EDIT: HAT SICH ERLEDIGT, REBOOT UND LÄUFT !!

deimos
Beiträge: 1472
Registriert: 20.06.2017, 10:38
Wohnort: Leimersheim
Kontaktdaten:

Re: piVCCU Version 2.35.16-35

Beitrag von deimos » 13.07.2018, 15:36

Hi,

ich vermute stark, dass im Zuge des Updates auch dein Kernel aktualisiert wurde. Kann das sein?
Dann musst du einmal einen Reboot machen, damit der aktive Kernel, die installierten Kernel Header und die Kernel Module von piVCCU wieder auf einer identischen Kernel Version basieren.

Viele Grüße
Alex

Bratmaxe
Beiträge: 834
Registriert: 28.05.2015, 12:48
Wohnort: Willich

Re: piVCCU Version 2.35.16-35

Beitrag von Bratmaxe » 13.07.2018, 21:20

Hallo Alex,

ich habe mir gerade von IOBroker das ALLinONE Paket mit PIVCCU runtergeladen.
Habe als erstes alle geupdatet und neu gestartet. PIVCCU scheint zu laufen (WebUi ist da, habe noch kein Backup eingespielt).
Aber Beim Starten von IOBroker kommt folgende Meldung:;

Code: Alles auswählen

Starting iobroker controller daemon...
iobroker controller daemon failed to start:  Failed to write pidfile (EACCES)
Error: Failed to write pidfile (EACCES)
Hoffe du bist da der richtige Ansprechpartner! Ich weiss nicht ob du dieses ALLinOne Image erstellt hast.

Gruß Carsten
CCU2 mit 81 Hm Geräten und 3 HmIP Geräte.
Davon 4 Selbstbau Aktoren (AskSinPP)

coyote
Beiträge: 92
Registriert: 24.06.2015, 11:17

Re: piVCCU Version 2.35.16-35

Beitrag von coyote » 13.07.2018, 21:25

deimos hat geschrieben:
13.07.2018, 15:36
ich vermute stark, dass im Zuge des Updates auch dein Kernel aktualisiert wurde. Kann das sein?
Ja ich denke das war so, zum Glück nach reboot wieder alles gut ;-)


@Bratmaxe, schau mal hier: https://forum.iobroker.net/viewtopic.php?t=8651 oder hier: https://forum.iobroker.net/viewtopic.php?t=14210
Auch sonst bist du bei ioBroker Problemen dort gut aufgehoben

Bratmaxe
Beiträge: 834
Registriert: 28.05.2015, 12:48
Wohnort: Willich

Re: piVCCU Version 2.35.16-35

Beitrag von Bratmaxe » 13.07.2018, 21:50

danke das setzen der Berechtigungen hat geholfen (im ersten Link)
CCU2 mit 81 Hm Geräten und 3 HmIP Geräte.
Davon 4 Selbstbau Aktoren (AskSinPP)

deimos
Beiträge: 1472
Registriert: 20.06.2017, 10:38
Wohnort: Leimersheim
Kontaktdaten:

Re: piVCCU Version 2.35.16-35

Beitrag von deimos » 13.07.2018, 23:29

Hi,
Bratmaxe hat geschrieben:
13.07.2018, 21:20
Habe als erstes alle geupdatet und neu gestartet. PIVCCU scheint zu laufen (WebUi ist da, habe noch kein Backup eingespielt).
Dein ioBroker Problem ist ja gelöst, aber eine Sache will ich hier noch dazu schreiben: Das Backup ist nur zur Sicherheit notwendig. Beim Update werden die Daten in piVCCU übernommen und es ist nicht notwendig das Backup wieder einzuspielen.

(und ich der falsche Ansprechpartner bei ioBroker Problemen, habe keine Ahnung von ioBroker; da bist du im ioBroker Forum sehr gut aufgehoben)

Viele Grüße
Alex

Bratmaxe
Beiträge: 834
Registriert: 28.05.2015, 12:48
Wohnort: Willich

Re: piVCCU Version 2.35.16-35

Beitrag von Bratmaxe » 15.07.2018, 21:05

Hallo,

ja das war mir klar (mit dem Backup), es handelte sich bei mir aber um die Erstinstallation bzw. den Wechsel auf PIVCCU, aber das hatte ich auch nicht dabei geschrieben!

Vielen Dank für den Hinweis!
CCU2 mit 81 Hm Geräten und 3 HmIP Geräte.
Davon 4 Selbstbau Aktoren (AskSinPP)

deifel
Beiträge: 108
Registriert: 27.05.2014, 11:10

Re: piVCCU Version 2.35.16-35

Beitrag von deifel » 18.07.2018, 11:04

Hallo zusammen,

ich würde gerne auf die 2.35.16-35 updaten. Dazu habe ich jetzt mehrfach (Raspberry 2B) versucht, über sudo apt-get update und anschließendem sudo apt-get upgrade zu aktualisieren. Es tut sich auch einiges und das System aktualisiert sich, nur eben die CCU-Version bzw. PIVCCU nicht.
Stehe immer noch bei der 2.31.25.
Kann mir jemand sagen, was ich falsch mache? Oder ist die 2.31.25 die aktuellste im Stable Repo? Laut Aussagen hier im Thread dürfte ja die 2.35.16-35 im Stable verfügbar sein...

Danke für Eure Hilfe und Grüße
Frank

deifel
Beiträge: 108
Registriert: 27.05.2014, 11:10

Re: piVCCU Version 2.35.16-35

Beitrag von deifel » 18.07.2018, 11:11

So wie es aussieht wurden die Pakete heruntergeladen, aber nicht installiert. Bekomme das hier im Terminal angezeigt:

Code: Alles auswählen

Paketlisten werden gelesen... Fertig
Abhängigkeitsbaum wird aufgebaut.       
Statusinformationen werden eingelesen.... Fertig
Paketaktualisierung (Upgrade) wird berechnet... Fertig
Die folgenden Pakete wurden automatisch installiert und werden nicht mehr benötigt:
  lxkeymap python-cairo python-gobject python-gobject-2 python-gtk2
  python-xklavier
Verwenden Sie »sudo apt autoremove«, um sie zu entfernen.
Die folgenden Pakete sind zurückgehalten worden:
  chromium-browser nodejs nodered pivccu pivccu-modules-raspberrypi
  raspberrypi-kernel rpi-chromium-mods sense-emu-tools wolfram-engine
0 aktualisiert, 0 neu installiert, 0 zu entfernen und 9 nicht aktualisiert.

Kann mir jemand sagen, wie ich das Problem beheben kann?

deimos
Beiträge: 1472
Registriert: 20.06.2017, 10:38
Wohnort: Leimersheim
Kontaktdaten:

Re: piVCCU Version 2.35.16-35

Beitrag von deimos » 18.07.2018, 12:55

Hi,

benutzt nicht apt-get, sondern apt, also

Code: Alles auswählen

sudo apt update && sudo apt upgrade
Viele Grüße
Alex

Antworten

Zurück zu „piVCCU“